# I3SNode

#### internal constructor new Cesium.I3SNode()
engine/Source/Scene/I3SNode.js 37

This class implements an I3S Node. In CesiumJS each I3SNode creates a Cesium3DTile.

Do not construct this directly, instead access tiles through `I3SLayer`.

### Members

#### readonly children : Array.<I3SNode>
engine/Source/Scene/I3SNode.js 121

Gets the children nodes.

#### readonly data : object
engine/Source/Scene/I3SNode.js 176

Gets the I3S data for this object.

#### readonly featureData : Array.<I3SFeature>
engine/Source/Scene/I3SNode.js 143

Gets the collection of features.

#### readonly fields : Array.<I3SField>
engine/Source/Scene/I3SNode.js 154

Gets the collection of fields.

#### readonly geometryData : Array.<I3SGeometry>
engine/Source/Scene/I3SNode.js 132

Gets the collection of geometries.

#### readonly layer : I3SLayer
engine/Source/Scene/I3SNode.js 99

Gets the parent layer.

#### readonly parent : I3SNode|undefined
engine/Source/Scene/I3SNode.js 110

Gets the parent node.

#### readonly resource : Resource
engine/Source/Scene/I3SNode.js 88

Gets the resource for the node.

#### readonly tile : Cesium3DTile
engine/Source/Scene/I3SNode.js 165

Gets the Cesium3DTile for this node.

### Methods

#### getFieldsForFeature(featureIndex) → object
engine/Source/Scene/I3SNode.js 320

Returns the fields for a given feature

Name | Type | Description
--- | --- | ---
`featureIndex` | number | Index of the feature whose attributes we want to get

##### Returns:

Object containing field names and their values

#### getFieldsForPickedPosition(pickedPosition) → object
engine/Source/Scene/I3SNode.js 292

Returns the fields for a given picked position

Name | Type | Description
--- | --- | ---
`pickedPosition` | Cartesian3 | The picked position

##### Returns:

Object containing field names and their values

#### loadField(name) → Promise.<void>
engine/Source/Scene/I3SNode.js 264

Loads the node field.

Name | Type | Description
--- | --- | ---
`name` | string | The field name

##### Returns:

A promise that is resolved when the I3S Node field is loaded

#### loadFields() → Promise.<void>
engine/Source/Scene/I3SNode.js 239

Loads the node fields.

##### Returns:

A promise that is resolved when the I3S Node fields are loaded

### Type Definitions

#### Cesium.I3SNode.AttributeFilter
engine/Source/Scene/I3SNode.js 19

A filter given by an attribute name and values. The 3D feature object should be hidden if its value for the attribute name is not specified in the collection of values.

##### Properties:

Name | Type | Description
--- | --- | ---
`name` | string | The name of the attribute
`values` | Array.<string> | Array.<number> | The collection of values

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.